summaryrefslogtreecommitdiffstats
path: root/src/3rdparty/libmng/autogen.sh
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-08 12:31:36 -0600
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-08 12:31:36 -0600
commitd796c9dd933ab96ec83b9a634feedd5d32e1ba3f (patch)
tree6e3dcca4f77e20ec8966c666aac7c35bd4704053 /src/3rdparty/libmng/autogen.sh
downloadtqt3-d796c9dd933ab96ec83b9a634feedd5d32e1ba3f.tar.gz
tqt3-d796c9dd933ab96ec83b9a634feedd5d32e1ba3f.zip
Test conversion to TQt3 from Qt3 8c6fc1f8e35fd264dd01c582ca5e7549b32ab731
Diffstat (limited to 'src/3rdparty/libmng/autogen.sh')
-rwxr-xr-xsrc/3rdparty/libmng/autogen.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/src/3rdparty/libmng/autogen.sh b/src/3rdparty/libmng/autogen.sh
new file mode 100755
index 00000000..0ed4a8b8
--- /dev/null
+++ b/src/3rdparty/libmng/autogen.sh
@@ -0,0 +1,34 @@
+# autogen.sh
+#
+# invoke the auto* tools to create the configureation system
+
+# move out configure.in
+if ! test -f configure.in; then
+ echo "copying out configure.in"
+ ln -s makefiles/configure.in
+fi
+
+# move out the macros and run aclocal
+if ! test -f acinclude.m4; then
+ echo "copying configure macros"
+ ln -s makefiles/acinclude.m4 .
+fi
+aclocal
+
+# build the configure script
+autoconf
+
+# set up libtool
+libtoolize --force
+
+# copy up our Makefile template and invoke automake
+if ! test -f Makefile.am; then
+ echo "copying automake template"
+ ln -s makefiles/Makefile.am .
+fi
+automake --foreign --add-missing
+
+# and finally invoke our new configure
+./configure $*
+
+# end